#!/usr/local/bin/perl
#
#  Copyright (C) 1996-2001, OFFIS
#
#  This software and supporting documentation were developed by
#
#    Kuratorium OFFIS e.V.
#    Forschungsbereich 2: Kommunikationssysteme
#    Escherweg 2
#    D-26121 Oldenburg, Germany
#
#  for CEN/TC251/WG4 as a contribution to the Computer Assisted Radiology
#  (CAR) 1996 DICOM Demonstration.
#
#  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY
#  REGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR
#  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR
#  ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
#  PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
#
#  Copyright of the software  and  supporting  documentation  is,  unless
#  otherwise stated, owned by OFFIS, and free access is hereby granted as
#  a license to  use  this  software,  copy  this  software  and  prepare
#  derivative works based upon this software.  However, any  distribution
#  of this software source code or supporting documentation or derivative
#  works  (source code and  supporting documentation)  must  include  the
#  three paragraphs of this copyright notice.
#
#
# Module: DICOM Basic Worklist Management CTN, WWW Component
#
# Author: Marco Eichelberg
#
# Purpose:
#   This module contains perl code implementing a simple log file facility.
#
# Last Update:      $Author: meichel $
# Update Date:      $Date: 2001/06/01 15:51:49 $
# Source File:      $Source: /share/dicom/cvs-depot/dcmtk/wlistctn/perl/log.ph,v $
# CVS/RCS Revision: $Revision: 1.4 $
# Status:           $State: Exp $
#
# CVS/RCS Log
#   $Log: log.ph,v $
#   Revision 1.4  2001/06/01 15:51:49  meichel
#   Updated copyright header
#
#   Revision 1.3  2000/03/08 16:37:50  meichel
#   Updated copyright header.
#
#   Revision 1.2  1996/06/13 09:28:46  meichel
#   significant speedup for Worklist overview, corrected automatic date creation.
#
#   Revision 1.1  1996/05/30 16:07:58  meichel
#   Initial release of perl scripts for Worklist CTN WWW component.
#
#

require 'prefs.ph';

#
#  void printlog(string text)
#    appends a line with date/time and the given text
#    to the log file (the path to which is defined in prefs.pl).
#
sub printlog # (string)
{
  local($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst);
  ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime;

  local($filename) = join('/',$prefs{'data_path'},$prefs{'logfile'});
  if (open(outfile, ">>$filename"))
  {
    printf(outfile "%04d-%02d-%02d %02d:%02d:%02d %s\n", 
      $year+1900, $mon+1, $mday, $hour, $min, $sec, @_[0]);
    close(outfile);
  }
}

1;
